<div class="container mt-3">
  <ng-container *ngIf="!invoices || invoices.length === 0">
    <div class="row p-2">
      <div class="col p-3">
        <span class="no-elements"> There are currently no invoices created.</span>
      </div>
    </div>
  </ng-container>
</div>

<div class="container mt-3"  *ngFor="let invoice of invoices">
  <div class="row p-2 header">
    <div class="col-sm-6 p-3">
      <span class="font-weight-bold"> INVOICE NO - {{invoice.id}} </span>
    </div>
    <div class="col-sm-3 p-3">
      <span class="font-weight-bold"> CLIENT - {{findClient(invoice.client)?.name}} </span>
    </div>
    <div class="col-sm-3 p-3">
      <div class="export-pdf" (click)="takeToPrint(invoice.id)">EXPORT PDF</div>
    </div>
  </div>
  <div class="row p-2 font-weight-bold">
    <div class="col p-3">
      <span> Description </span>
    </div>
    <div class="col p-3">
      <span> Cost </span>
    </div>
    <div class="col p-3">
      <span> Amount </span>
    </div>
    <div class="col p-3">
      <span> Quantity </span>
    </div>
  </div>
  <div class="row p-2"  *ngFor="let item of invoice.items">
    <div class="col p-3">
      <span> {{item.description}} </span>
    </div>
    <div class="col p-3">
      <span> {{item.cost}} </span>
    </div>
    <div class="col p-3">
      <span> {{item.amount}} </span>
    </div>
    <div class="col p-3">
      <span> {{item.quantity}} </span>
    </div>
  </div>
</div>

